key: solr
title: Solr
description: Solr is the popular, blazing-fast, open source enterprise search platform built on Apache Lucene.
author: requarks.io
logo: https://static.requarks.io/logo/solr.svg
website: http://lucene.apache.org/solr/
isAvailable: false
props:
  host:
    type: String
    title: Host
    hint: Host of the Solr server (e.g. 12.34.56.78 or solr.example.com)
    default: solr
    order: 1
  port:
    type: Number
    title: Port
    hint: Port of the Solr server
    default: 8983
    order: 2
  core:
    type: String
    title: Core
    hint: Core name (e.g. wiki)
    default: wiki
    order: 3
  protocol:
    type: String
    title: Protocol
    hint: Request protocol
    default: http
    enum:
      - http
      - https
    order: 4
